package com.ysnows.base.route

import com.billy.cc.core.component.CCResult
import com.ysnows.base.ccretrofit.IRoute
import com.ysnows.base.ccretrofit.annotation.Param
import com.ysnows.base.model.PositionBean
import io.reactivex.Observable

interface IApp : IRoute {
    fun setLogin(@Param("token") token: String): Observable<CCResult>
    fun setDatas(@Param("item") item: PositionBean): Observable<CCResult>
    fun openMsgList(@Param("url") url: String): Observable<CCResult>



}
